Subject: bug#9096: Don't clear the echo area automatically at every command execution

From: Štěpán Němec <[email-masked]>
Date: Thu, 03 Oct 2019 18:32:32 +0200

On Thu, 03 Oct 2019 18:16:27 +0200
Lars Ingebrigtsen wrote:

> I think that would be very confusing -- you'd have old, outdated
> messages in the echo area basically forever (i.e., until the next
> message).

Yes, over the years I've come to the same conclusion (and have forgotten
I have reported this in the meantime, sorry...). I still see other
people make this request occasionally, but it would probably be better
addressed by other improvements to the echo message functionality, e.g.
as suggested on emacs-devel recently (easier redisplay of last/older
messages, "intelligent stacking" of messages closely following one
another etc.)

> So I'm closing this as a "wontfix".

Thanks.

-- 
Štěpán